package component

import (
	"ai_scheduler/internal/domain/component/callback"
	"ai_scheduler/internal/pkg/lsxd"
)

type Components struct {
	Callback  callback.Manager
	LSXDLogin *lsxd.Login
}

func NewComponents(callbackManager callback.Manager, lsxdLogin *lsxd.Login) *Components {
	return &Components{
		Callback:  callbackManager,
		LSXDLogin: lsxdLogin,
	}
}
